General purpose "operation system" for [ComputerCraft](https://tweaked.cc/) build with [Haxe](https://haxe.org/). 

# Features

- TCP like rednet messages
- Rednet message routing
- Hardware abstraction
- Virtual screens to switch between multiple GUI apps
- Reactive UI framwork

# Building

Requirements: 
- `haxe` compiler
- `haxelib` for dependencies
- `nodejs` and package manager like `yarn`
- `make`

run `make deps && make`. The `bundle.min.lua` inside the `build` dir is the final file.

# Development

There are a couple of tool to your disposal that makes working easier. 

## Watch 

Run `make watch` to recompile when a file changed.

## Emulator

You could use minecraft to run the programm or you could use [craftos pc](https://www.craftos-pc.cc/) as an emulator. Just install it and run `make emulator`. 

## Websconsole

Use `make webconsole` to run a http server that prints the log output of the programm to the terminal. Run `haxe` with the `-D webconsole` flag. 
You may need to [allow connections](https://github.com/cc-tweaked/CC-Tweaked/wiki/Allowing-access-to-local-IPs) to any ip when using webconsole ingame.
