package bin;

import lib.TermIO;
import kernel.net.Net;
import kernel.ui.WindowManager;
import kernel.ui.WindowContext;
import lib.IUserProgramm;

class NetTest implements IUserProgramm {
    private final windowContext:WindowContext = WindowManager.instance.createNewContext();
    private final writer:TermIO;

    public function new() {
        writer = new TermIO(windowContext);
    }

    private function drawUI() {
        var allNeighbors = Net.instance.getAllNeighbors();

        for (neighbor in allNeighbors) {
            writer.writeLn(""+neighbor,Green);
        }
    }


	public function getName():String {
		return "Network tester";
	}
}
